<?php
use Joomla\CMS\Language\Text;
/**
 * @package     Sven.Bluege
 * @subpackage  com_eventgallery
 *
 * @copyright   Copyright (C) 2005 - 2019 Sven Bluege All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die('Restricted access');




JFactory::getDocument()->addScriptDeclaration("
	Joomla.submitbutton = function(task)
	{
		if (task.indexOf('.cancel')>0 
		        || document.formvalidator.isValid(document.getElementById('adminForm'))) {
			
			Joomla.submitform(task, document.getElementById('adminForm'));
		}
	};
");

$app = \Joomla\CMS\Factory::getApplication();
$app->setHeader('cross-origin-opener-policy','unsafe-none', true);

?>
<div class="card">
    <div class="card-header"><?php echo Text::_('COM_EVENTGALLERY_FLICKRACCOUNT_HOWTOGETAPIKEY_HEADLINE'); ?></div>
    <div class="card-body">
        <p><?php echo Text::_('COM_EVENTGALLERY_FLICKRACCOUNT_HOWTOGETAPIKEY'); ?></p>
        <p>
            <?php echo Text::_('COM_EVENTGALLERY_FLICKRACCOUNT_HOWTOGETAPIKEY_0'); ?>
            <ol>
                <li><?php echo Text::_('COM_EVENTGALLERY_FLICKRACCOUNT_HOWTOGETAPIKEY_1'); ?></li>
                <li><?php echo Text::_('COM_EVENTGALLERY_FLICKRACCOUNT_HOWTOGETAPIKEY_2'); ?></li>
            </ol>
        </p>

    </div>
</div>
<p></p>
<form class="form-validate" action="<?php echo JRoute::_('index.php?option=com_eventgallery&layout=edit&id='.(int) $this->item->id); ?>" method="POST" name="adminForm" id="adminForm">
    <?php echo $this->loadSnippet('formfields'); ?>

    <?php echo JHtml::_('form.token'); ?>
    <input type="hidden" name="option" value="com_eventgallery" />
    <input type="hidden" name="id" value="<?php echo $this->item->id; ?>" />
    <input type="hidden" name="task" value="" />
</form>
